Package com.databricks.jdbc.model.client.sqlexec

## Class CancelStatementRequest

- java.lang.Object
- - com.databricks.jdbc.model.client.sqlexec.CancelStatementRequest

    public class CancelStatementRequest
    extends Object

### Constructor Summary

Constructors
`CancelStatementRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`String` `getStatementId()`
`int` `hashCode()`
`CancelStatementRequest` `setStatementId​(String statementId)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CancelStatementRequest

    public CancelStatementRequest()

### Method Detail

#### setStatementId

    public CancelStatementRequest setStatementId​(String statementId)

#### getStatementId

    public String getStatementId()

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`